LongHash< ObjectT > Class Template Reference
Collaboration diagram for LongHash< ObjectT >:
[legend]

## Public Member Functions

| LongHash (int startsize=32)
void | Grow ()
void | Shrink ()
void | SetSize (int newsize)
void | Clear ()
int | Capacity () const
int | Entries () const
ObjectT | Object (int i) const
ObjectT & | Object (int i)
void | SetObject (int i, ObjectT object)
unsigned int | Add (long long key, ObjectT object)
unsigned int | Find (long long key)
unsigned int | Rehash (long long key, unsigned int h)
LongHash & | operator= (const LongHash &rhs)
ObjectT | operator[] (int i) const
ObjectT | operator[] (unsigned int i) const
void | Delete (unsigned int index)
bool | SlotInUse (int index) const
bool | SlotInUse (unsigned int index) const
long long | GetKey (int index) const
long long | GetKey (const unsigned int index) const
void | SetAllowDuplicateKeys (bool toggle)

## Protected Attributes

ObjectT * | objects
long long * | keys
bool * | occupancy
unsigned int | count
unsigned int | size
unsigned int | mask
bool | allowDuplicates

## Detailed Description

### template<class ObjectT>
class LongHash< ObjectT >

Definition at line 31 of file LongHash.h.

The documentation for this class was generated from the following file:

- general/LongHash.h